$("#selectCategory").change(function() {
  var categoryID = $(this).find('option:selected').val();
  
  // display: none all
  $("#custom-support-fields > div").css("display", "none");
  
  // display: block selected
  $("#category-" + categoryID).css("display", "block");
});